package io.accumulatenetwork.sdk.generated.query;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: QueryType
// UnionValue: Unknown

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("UnknownRequest")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UnknownRequest implements Marshallable {
	public final QueryType type = QueryType.UNKNOWN;

    //
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        marshaller.writeValue(1, type);
        return marshaller.array();
    }
}
